## ncurses 5.9+20130608

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: ncurses
 Section: libs
 Priority: required
-Maintainer: Craig Small <csmall@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Craig Small <csmall@debian.org>
 Uploaders: Sven Joachim <svenjoac@gmx.de>
 Build-Depends: debhelper (>= 8.1.3),
                dpkg-dev (>= 1.15.7),
                g++-multilib [amd64 i386 powerpc ppc64 s390 sparc],
                libgpm-dev [linux-any],
                pkg-config,
-               autotools-dev,
-Standards-Version: 3.9.5
+XS-Testsuite: autopkgtest
+Standards-Version: 3.9.4
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ncurses.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/ncurses.git
 Homepage: http://invisible-island.net/ncurses/
@@ -79,7 +80,7 @@
 Multi-Arch: same
 Depends: libtinfo5 (= ${binary:Version}), libncurses5 (= ${binary:Version}),
          libtinfo-dev (= ${binary:Version}), ncurses-bin (= ${binary:Version}),
-         libc6-dev | libc-dev, ${misc:Depends}
+         libc-dev, ${misc:Depends}
 Conflicts: ncurses-dev, libncurses-dev
 Replaces: ncurses-dev, libncurses-dev
 Provides: libncurses-dev, ncurses-dev
@@ -126,7 +127,7 @@
 Multi-Arch: same
 Depends: libtinfo5 (= ${binary:Version}), libncursesw5 (= ${binary:Version}),
          libtinfo-dev (= ${binary:Version}), ncurses-bin (= ${binary:Version}),
-         libc6-dev | libc-dev, ${misc:Depends}
+         libc-dev, ${misc:Depends}
 Suggests: ncurses-doc
 Description: developer's libraries for ncursesw
  The ncurses library routines are a terminal-independent method of
@@ -310,5 +311,3 @@
 Multi-Arch: foreign
 Description: terminal-related programs and man pages
  The ncurses library routines are a terminal-independent method of
- updating character screens with reasonable optimization.
- .
