## ncurses 5.9+20140118

=== debian/changelog ===
ncurses (5.9+20140118-1ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - Add simple autopkgtest to the package.
    - Build x32 packages.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 22 Mar 2014 19:37:36 +0100

ncurses (5.9+20131221-1ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - Add simple autopkgtest to the package.
    - Build x32 packages.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Jan 2014 05:04:50 +0100

ncurses (5.9+20130608-1ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - Add simple autopkgtest to the package.
    - Build x32 packages.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 27 Jul 2013 15:53:33 +0200

ncurses (5.9-10ubuntu4) raring; urgency=low

  * debian/tests/build:
    - Add TERM=linux enviroment variable to prevent tests from failing.

 -- Vibhav Pant <vibhav@ubuntu.com>  Fri, 08 Feb 2013 16:18:10 +0100

ncurses (5.9-10ubuntu3) raring; urgency=low

  * Add simple autopkgtest to the package.

 -- Vibhav Pant <vibhavp@ubuntu.com>  Thu, 07 Feb 2013 13:50:14 +0530

ncurses (5.9-10ubuntu2) raring; urgency=low

  * Build x32 packages.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 14 Nov 2012 11:07:12 +0100

ncurses (5.9-10ubuntu1) quantal; urgency=low

  * Update config.guess,sub for aarch64

 -- Wookey <wookey@wookware.org>  Mon, 01 Oct 2012 12:56:43 +0100
