=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                g++-multilib [amd64 i386 powerpc ppc64 s390 sparc],
                libgpm-dev [linux-any],
                pkg-config,
-XS-Testsuite: autopkgtest
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ncurses.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/ncurses.git
 Homepage: http://invisible-island.net/ncurses/
+XS-Testsuite: autopkgtest
 
 Package: libtinfo5
 Architecture: any
@@ -80,7 +80,7 @@
 Multi-Arch: same
 Depends: libtinfo5 (= ${binary:Version}), libncurses5 (= ${binary:Version}),
          libtinfo-dev (= ${binary:Version}), ncurses-bin (= ${binary:Version}),
-         libc-dev, ${misc:Depends}
+         libc6-dev | libc-dev, ${misc:Depends}
 Conflicts: ncurses-dev, libncurses-dev
 Replaces: ncurses-dev, libncurses-dev
 Provides: libncurses-dev, ncurses-dev
@@ -127,7 +127,7 @@
 Multi-Arch: same
 Depends: libtinfo5 (= ${binary:Version}), libncursesw5 (= ${binary:Version}),
          libtinfo-dev (= ${binary:Version}), ncurses-bin (= ${binary:Version}),
-         libc-dev, ${misc:Depends}
+         libc6-dev | libc-dev, ${misc:Depends}
 Suggests: ncurses-doc
 Description: developer's libraries for ncursesw
  The ncurses library routines are a terminal-independent method of
@@ -310,4 +310,3 @@
 Pre-Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: foreign
 Description: terminal-related programs and man pages
- The ncurses library routines are a terminal-independent method of
