## ncurses 5.9+20140913

=== debian/changelog ===
ncurses (5.9+20140913-1+deb8u6) jessie-security; urgency=medium

  * Non-maintainer upload by the ELTS Team.
  * Mitigate CVE-2023-29491: Disallow loading of custom terminfo
    entries in setuid/setgid programs.

 -- Adrian Bunk <bunk@debian.org>  Sun, 17 Dec 2023 21:15:20 +0200

ncurses (5.9+20140913-1+deb8u5) jessie-security; urgency=medium

  * Non-maintainer upload by the ELTS Team.
  * Cherry-pick upstream fix for CVE-2020-19189.
  * Add additional CVEs fixed to CVE-2019-17594.diff & CVE-2020-17595.diff.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 28 Sep 2023 13:58:15 +0100

ncurses (5.9+20140913-1+deb8u4) jessie; urgency=high

  * Non-maintainer upload by the ELTS Team.
  * CVE-2022-29458
    Avoid out-of-bounds read in convert_strings in the terminfo library.
  * CVE-2019-17595
    Check for missing character after backslash in fmt_entry.
  * CVE-2019-17594
    Check for invalid hashcode in _nc_find_type_entry and nc_find_entry.
  * CVE-2018-19211
    Avoid NULL pointer dereference in _nc_parse_entry.

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 13 Jul 2022 22:03:02 +0200

ncurses (5.9+20140913-1+deb8u3) jessie; urgency=medium

  * Cherry-pick upstream fix from the 20171125 patchlevel to fix
    a buffer overflow in the _nc_write_entry function
    (CVE-2017-16879, Closes: #882620).

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 28 Dec 2017 11:14:57 +0100

ncurses (5.9+20140913-1+deb8u2) jessie; urgency=medium

  * Re-upload with no changes to work around #826161.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 03 Dec 2017 11:20:45 +0100

ncurses (5.9+20140913-1+deb8u1) jessie; urgency=medium

  * Cherry-pick upstream fixes from the 20170701 and 20170708 patchlevels
    for various crash bugs in the tic library and the tic binary
    (CVE-2017-10684, CVE-2017-10685, CVE-2017-11112, CVE-2017-11113).
  * Apply termcap-format fix from openSUSE's ncurses-5.9-55.6.1 package,
    repairing a regression from the above security fixes (see #868266).
  * Cherry-pick upstream fixes from the 20170826 patchlevel for more
    crash bugs in the tic library (CVE-2017-13728, CVE-2017-13729,
    CVE-2017-13730, CVE-2017-13731, CVE-2017-13732, CVE-2017-13734,
    Closes: #873723).
  * Cherry-pick upstream fixes from the 20170902 patchlevel to fix
    another crash bug in the tic program (CVE-2017-13733, Closes: #873746).

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 07 Sep 2017 19:08:05 +0200
