=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 # These are important since this is a library package
 soname=5
-sodepver = (>= 5.9+20131221)
+sodepver = (>= 5.9+20140712)
 
 # Name our packages
 package-base=ncurses-base
@@ -34,12 +34,6 @@
 package-dbgti=libtinfo$(soname)-dbg
 package-term=ncurses-term
 package-examples=ncurses-examples
-package-lib-x32=libx32ncurses$(soname)
-package-ti-x32=libx32tinfo$(soname)
-package-libw-x32=libx32ncursesw$(soname)
-package-dev-x32=libx32ncurses$(soname)-dev
-package-devti-x32=libx32tinfo-dev
-package-devw-x32=libx32ncursesw$(soname)-dev
 
 workdir=$(shell pwd)
 tempdir=debian/tmp
@@ -56,13 +50,12 @@
 objdir-debug=$(srcdir)/obj-debug
 wobjdir-debug=$(srcdir)/obj-wide-debug
 objdir-test=$(srcdir)/obj-test
-objdir-x32=$(srcdir)/obj-x32
-wobjdir-x32=$(srcdir)/obj-wide-x32
 
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_HOST_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 autogen-files := debian/libncurses5-dev.links debian/libtinfo-dev.links \
@@ -74,8 +67,6 @@
 ifeq ($(DEB_HOST_ARCH),i386)
 build_64_target = x86_64-$(DEB_HOST_GNU_SYSTEM)
 build_64 = build-64
-build_x32_target = x86_64-linux-gnux32
-build_x32 = build-x32 build-wide-x32
 endif
 
 ifeq ($(DEB_HOST_ARCH),powerpc)
@@ -98,8 +89,6 @@
 build_32 = build-32 build-wide-32
 lib32 = /lib32
 usr_lib32 = /usr/lib32
-build_x32_target = x86_64-linux-gnux32
-build_x32 = build-x32 build-wide-x32
 endif
 
 ifeq ($(DEB_HOST_ARCH),ppc64)
@@ -109,8 +98,12 @@
 usr_lib32 = /usr/lib32
 endif
 
-ifneq ($(findstring linux,$(DEB_HOST_GNU_SYSTEM)),)
-with_gpm = --with-gpm
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+with_mouse = --with-gpm
+else
+ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
+with_mouse = --without-sysmouse
+endif
 endif
 
 CONFARGS =	--prefix=/usr \
@@ -125,8 +118,9 @@
 		--without-ada \
 		--without-tests \
 		--without-progs \
-		$(with_gpm) \
+		$(with_mouse) \
 		--enable-symlinks \
+		--disable-root-environ \
 		--disable-lp64 \
 		--with-chtype='long' \
 		--with-mmask-t='long' \
@@ -139,7 +133,6 @@
 
 CONFARGS-TEST =	--prefix=/usr \
 		--build=$(DEB_BUILD_GNU_TYPE) \
-		--host=$(DEB_HOST_GNU_TYPE) \
 		--bindir=/usr/lib/ncurses/examples \
 		--with-ncursesw \
 		--with-curses-dir=$(wobjdir)
@@ -162,7 +155,7 @@
 # Blacklist terminfo entries shipped by other Debian packages so that we do
 # not begin shipping them by accident.
 badterminfo = 5/5250 f/fbterm i/iterm i/iterm-am i/iterm-color j/jfbterm \
-	k/kon k/kon2 l/linux-5250 s/st s/st-256color s/stterm s/stterm-256color
+	k/kon k/kon2 l/linux-5250 s/stterm s/stterm-256color
 
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 # Force necessary configure checks which do not work when
@@ -173,7 +166,11 @@
 export cf_cv_gpm_soname=libgpm.so.2
 endif
 
-$(objdir)/config.status:
+config.guess-stamp:
+	dh_autotools-dev_updateconfig
+	touch $@
+
+$(objdir)/config.status: config.guess-stamp
 	test -d $(objdir) || mkdir $(objdir)
 	cd $(objdir) && CFLAGS="$(CFLAGS)" $(srcdir)/configure \
 		$(CONFARGS) \
@@ -181,7 +178,7 @@
 		--with-install-prefix=$(fulltempdir) \
 		--enable-overwrite --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 
-$(objdir-static)/config.status:
+$(objdir-static)/config.status: config.guess-stamp
 	test -d $(objdir-static) || mkdir $(objdir-static)
 	cd $(objdir-static) && CFLAGS="$(CFLAGS)" $(srcdir)/configure \
 		$(CONFARGS) \
@@ -190,7 +187,7 @@
 		--with-install-prefix=$(fulltempdir) \
 		--enable-overwrite --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 
-$(objdir-32)/config.status:
+$(objdir-32)/config.status: config.guess-stamp
 	test -d $(objdir-32) || mkdir $(objdir-32)
 
 	cf_cv_type_of_bool='unsigned char'; export cf_cv_type_of_bool; \
@@ -204,7 +201,7 @@
 		--with-install-prefix=$(fulltempdir) \
 		--enable-overwrite --libdir=$(usr_lib32)
 
-$(objdir-64)/config.status:
+$(objdir-64)/config.status: config.guess-stamp
 	test -d $(objdir-64) || mkdir $(objdir-64)
 
 	cf_cv_type_of_bool='unsigned char'; export cf_cv_type_of_bool; \
@@ -218,22 +215,7 @@
 		--with-install-prefix=$(fulltempdir) \
 		--enable-overwrite --libdir=/usr/lib64
 
-$(objdir-x32)/config.status:
-	test -d $(objdir-x32) || mkdir $(objdir-x32)
-
-	cf_cv_type_of_bool='unsigned char'; export cf_cv_type_of_bool; \
-	cf_cv_working_poll=yes; export cf_cv_working_poll; \
-	cd $(objdir-x32) && CFLAGS="$(CFLAGS)" CC="gcc -mx32" \
-		BUILD_CC="gcc" CXX="g++ -mx32" \
-		$(srcdir)/configure \
-		$(CONFARGS) \
-		--build=$(DEB_BUILD_GNU_TYPE) \
-		--host=$(build_x32_target) \
-		--without-gpm \
-		--with-install-prefix=$(fulltempdir) \
-		--enable-overwrite --libdir=/usr/libx32
-
-$(objdir-debug)/config.status:
+$(objdir-debug)/config.status: config.guess-stamp
 	test -d $(objdir-debug) || mkdir $(objdir-debug)
 	cd $(objdir-debug) && \
 		CFLAGS="$(CFLAGS) -DTRACE" $(srcdir)/configure \
@@ -241,5 +223,24 @@
 		--with-install-prefix=$(fulltempdir) \
 		--enable-overwrite --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 
-$(wobjdir)/config.status:
+$(wobjdir)/config.status: config.guess-stamp
 	test -d $(wobjdir) || mkdir $(wobjdir)
+	cd $(wobjdir) && CFLAGS="$(CFLAGS)" $(srcdir)/configure \
+		$(CONFARGS) \
+		--with-install-prefix=$(fulltempdir) \
+		--disable-overwrite --enable-widec \
+		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
+
+$(wobjdir-static)/config.status: config.guess-stamp
+	test -d $(wobjdir-static) || mkdir $(wobjdir-static)
+	cd $(wobjdir-static) && CFLAGS="$(CFLAGS)" $(srcdir)/configure \
+		$(CONFARGS) \
+		--without-shared \
+		--without-dlsym \
+		--with-install-prefix=$(fulltempdir) \
+		--disable-overwrite --enable-widec \
+		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
+
+$(wobjdir-debug)/config.status: config.guess-stamp
+	test -d $(wobjdir-debug) || mkdir $(wobjdir-debug)
+	cd $(wobjdir-debug) && \
